<template>
  <div class="error-box">
    <div>
      <strong>Please fix the following issues:</strong>
    </div>
    <div v-for="error in errors" :key="error">
      {{ error }}
    </div>
  </div>
</template>

<script>
export default {
  name: "ErrorBox",
  props: {
    errors: null,
  },
};
</script>

<style scoped>
.error-box {
  width: 100%;
  display: flex;
  flex-direction: column;
  color: #e60000;
  margin: 0 0 5px 0;
}

.error-box div {
  flex: 1;
  background: #ffe6e6;
  border-top: 1px solid #e60000;
  padding: 5px;
  margin: 0 5px 0 5px;
  width: calc(100% - 18px);
}
</style>